package de.champonthis.buntspecht.model;

import java.time.Instant;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.Table;

@Entity
@Table(name = "persistent_logins")
public class PersistentLogin {

	@Column(name = "username", length = 64, nullable = false)
	private String username;
	@Id
	@Column(name = "series", length = 64)
	private String series;
	@Column(name = "token", length = 64, nullable = false)
	private String token;
	@Column(name = "last_used", nullable = false)
	private Instant last_used;

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getSeries() {
		return series;
	}

	public void setSeries(String series) {
		this.series = series;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public Instant getLast_used() {
		return last_used;
	}

	public void setLast_used(Instant last_used) {
		this.last_used = last_used;
	}

}
